%define version 1.0.4
%define release 2mdk

Summary: Arabic support for linuxconsole
Summary(ar):      ( )
Name: acon
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Internationalization
Source: http://members.tripod.com/ahmedahamid/arabic/acon-%{version}.tar.bz2
Source1: acon.sh
# author refuses to integrate Hebrew support, so we need to provide the
# needed files ourselves and do some small patches
Source2: acon-1.0.4-mdk.tar.bz2
Patch: acon-1.0.4-mdk.patch.bz2
URL: http://members.tripod.com/ahmedahamid/arabic/arabic.html
BuildRoot: /var/tmp/acon-root

# until it can be fixed to correctly work on alpha, sparc and PPC
ExclusiveArch: i386 i486 i586 i686 k6 k7

%description
The function of acon is to display arabic text from right to left,
and process it to change the letter shape according to its position
in the word.

%description -l ar
 acon          
       .

%changelog

* Wed Jul 19 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-2mdk
- fixed keymaps
- made it exclusivearch for the PC (until the sources are fixed)

* Thu Jun  8 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-1mdk
- updated to 1.0.4
- added support for Farsi and Hebrew
- improved sysinit script

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.3-1mdk
- updated to 1.0.3
- new Group: naming
- added doc/ directory
- moved *.map files to /usr/lib/kbd/i386/qwerty/ where they belong
  (yes, this package needs adaptation to PPC and such)

* Sat Oct 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.0.2

* Fri Aug 13 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version

%prep
%setup -n acon

%patch0 -p1 -b .mdkpatch
tar yxvf %{SOURCE2}

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/acon

rm $RPM_BUILD_ROOT/usr/lib/acon/keymaps/*

%ifarch i386 i486 i586 i686 k6 k7 alpha 
cp keymaps/i386/* $RPM_BUILD_ROOT/usr/lib/acon/keymaps/
mkdir -p $RPM_BUILD_ROOT/usr/lib/kbd/keymaps/i386/qwerty
(cd $RPM_BUILD_ROOT/usr/lib/kbd/keymaps/i386/qwerty
 cp ../../../../acon/keymaps/*map . 
 gzip -9 *map
)
%endif
%ifarch sparc sparc64 
cp keymaps/sun/* $RPM_BUILD_ROOT/usr/lib/acon/keymaps/
mkdir -p $RPM_BUILD_ROOT/usr/lib/kbd/keymaps/sun
(cd $RPM_BUILD_ROOT/usr/lib/kbd/keymaps/sun
 cp ../../../acon/keymaps/*map . 
 gzip -9 *map
)
%endif
%ifarch ppc
cp keymaps/mac/* $RPM_BUILD_ROOT/usr/lib/acon/keymaps/
mkdir -p $RPM_BUILD_ROOT/usr/lib/kbd/keymaps/mac
(cd $RPM_BUILD_ROOT/usr/lib/kbd/keymaps/mac
 cp ../../../acon/keymaps/*map . 
 gzip -9 *map
)
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
# "1" means first time install
if [ $1 = 1 ]; then
 /sbin/chkconfig --add acon
fi

%preun
# 1 means uninstall
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del acon
fi

%files
%defattr(-,root,root)
%doc doc/* README* AUTHORS CHANGES COPYING
%config /etc/rc.d/init.d/acon
/usr/bin/acon
/usr/lib/acon
%ifarch i386 i486 i586 i686 k6 k7 alpha
/usr/lib/kbd/keymaps/i386/qwerty/*
%endif
%ifarch sparc sparc64
/usr/lib/kbd/keymaps/sun/*
%endif
%ifarch ppc
/usr/lib/kbd/keymaps/mac/*
%endif

